Test::Set::CountableSet Class Reference

Iterate all subsets of a given set. More...

`#include <set.hh>`

## Public Member Functions

| CountableSet (const Gecode::IntSet &s)
| Initialize with set s.
| CountableSet (void)
| Default constructor.
void | init (const Gecode::IntSet &s)
| Initialize with set s.
bool | operator() (void) const
| Check if still subsets left.
void | operator++ (void)
| Move to next subset.
int | val (void) const
| Return current subset.

## Detailed Description

Iterate all subsets of a given set.

Definition at line 118 of file set.hh.

## Constructor & Destructor Documentation

## CountableSet() [1/2]

Test::Set::CountableSet::CountableSet | ( | const Gecode::IntSet & | s | ) |

Initialize with set s.

Definition at line 44 of file set.cpp.

## CountableSet() [2/2]

Test::Set::CountableSet::CountableSet | ( | void |  | ) |

inline

Default constructor.

Definition at line 130 of file set.hh.

## Member Function Documentation

## init()

void Test::Set::CountableSet::init | ( | const Gecode::IntSet & | s | ) |

Initialize with set s.

Definition at line 55 of file set.cpp.

## operator()()

bool Test::Set::CountableSet::operator() | ( | void |  | ) | const

inline

Check if still subsets left.

Definition at line 134 of file set.hh.

## operator++()

void Test::Set::CountableSet::operator++ | ( | void |  | ) |

Move to next subset.

Definition at line 51 of file set.cpp.

## val()

int Test::Set::CountableSet::val | ( | void |  | ) | const

Return current subset.

Definition at line 64 of file set.cpp.

The documentation for this class was generated from the following files:

- test/set.hh
- test/set.cpp